Bug 1059349 - Using spice proxy for html5 is allowed, though not supported.
Summary: Using spice proxy for html5 is allowed, though not supported.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.4.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ovirt-3.6.0-rc
: 3.6.0
Assignee: Michal Skrivanek
QA Contact: Ilanit Stein
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-29 17:07 UTC by Ilanit Stein
Modified: 2019-10-10 09:14 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-09 20:42:37 UTC
oVirt Team: Virt


Attachments (Terms of Use)
console_options screen shot (220.68 KB, image/png)
2014-01-29 17:07 UTC, Ilanit Stein
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:0376 normal SHIPPED_LIVE Red Hat Enterprise Virtualization Manager 3.6.0 2016-03-10 01:20:52 UTC
oVirt gerrit 31963 master MERGED frontend: Spice proxy checkbox behavior for spice-html5 Never
Red Hat Knowledge Base (Solution) 718653 None None None Never

Description Ilanit Stein 2014-01-29 17:07:52 UTC
Created attachment 857169 [details]
console_options screen shot

Description of problem:

It is possible to choose for a VM with SPICE display type, in console_options, console invocation = SPICE HTML5 browser client (Tech preview).
This should not be allowed since the html5 client does not support the spice proxy.

When it is chosen, pressing the VM console icon, open a browser with the url:
https://<engine fqdn>/ovirt-engine/services/spicehtml5-main.html?host=<engine-fqdn>&port=6100

Version-Release number of selected component (if applicable):
ovirt-3.4.0-alpha2

Comment 1 Oved Ourfali 2014-01-30 06:09:31 UTC
Why is it a problem?
We explicitly write there that it is in "Tech Preview".

Michal - do you see an issue with that?

Comment 2 Michal Skrivanek 2014-01-30 09:04:11 UTC
Ilanit,
it's indeed not compatible as spice_html5 depends on its own proxy in all cases. So if anything this should be documented as a separate setup of websocket proxy. We do support to deploy it on different host than engine effectively replacing the squid proxy for regular connections. It's about the same amount of manual effort for both proxies.

I'm not sure what docs say about this matter at the moment, there were a lot of changes in 3.3 but this is probably not there. Maybe kbase article suffices? (Marina, thoughts?)

Comment 3 Tomas Jelinek 2014-01-30 13:27:21 UTC
If I understand the bug report properly, it says that:
1: open the console options dialog
2: select the "SPICE HTML5" console invocation

On the screen you will still see the "Enable SPICE Proxy" checkbox even the HTML5 does not support it. 

It is indeed a bug, because it should be either disabled or not there at all.

BTW looking into the screen, none of the SPICE options there are supported by the HTML5 client. 

AFAIK Franta is working on something which should solve this:
@Franta - comments?

Comment 7 Frantisek Kobzik 2014-02-03 13:47:10 UTC
@Tomas: Well, yes indeed. I've been working on another refactoring patch that takes differences in supported features into account.

Comment 13 Ilanit Stein 2015-10-07 12:31:55 UTC
Verified on rhevm 3.6.0-15

Comment 14 Lucy Bopf 2016-02-22 04:24:18 UTC
Moving 'requires_doc_text' to '-' and removing doc text. A note that SPICE proxy cannot be used with SPICE HTML5 was added to the 'SPICE Proxy' section of the Administration Guide as part of bug 1074917:
https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Virtualization/3.6-Beta/html-single/Administration_Guide/index.html#SPICE_Proxy_Overview

Comment 16 errata-xmlrpc 2016-03-09 20:42:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-0376.html


Note You need to log in before you can comment on or make changes to this bug.